
(* This file was auto-generated based on "error_messages.txt". *)

(* Please note that the function [message] can raise [Not_found]. *)

let message =
  fun s ->
    match s with
    | 412 | 354 | 355 | 357 ->
        "Mixfix declaration expected (Teyjus compatibility, ignored by Elpi).\nExamples:\ninfixl and 30.\ninfixr ++ 45.\nprefix - 12.\n"
    | 270 | 273 | 288 ->
        "Useonly directive expected (Teyjus compatibility, ignored by Elpi).\nExamples:\nuseonly foo.\nuseonly foo, bar.\n"
    | 289 | 290 | 393 ->
        "Closed directive expected (Teyjus compatibility, ignored by Elpi).\nExamples:\nclosed foo.\nclosed foo, bar.\n"
    | 339 ->
        "Local kind declaration expected (Teyjus compatibility, ignored by Elpi).\nExamples:\nlocalkind foo.\nlocalkind foo, bar.\n"
    | 302 | 325 | 410 ->
        "Module/Signature header expected (Teyjus compatibility, ignored by Elpi).\nExamples:\nmodule foo.\nsig bar.\n"
    | 274 | 275 | 277 | 278 | 279 | 281 | 282 | 286 | 360 | 361 | 362 ->
        "Definition export directive expected (Teyjus compatibility, ignored by Elpi).\nExamples:\nexportdef foo, bar.\nexportdef foo  (term -> term).\n"
    | 445 | 446 | 452 | 447 | 448 ->
        "Predicate declaration expected. Examples:\npred append i:list A, i:list A, o:list A.\npred append i:list A i:list A o:list A.\npred map i:list A, i:(A -> B -> prop), o:list B.\n"
    | 461 ->
        "Unexpected keyword.\n"
    | 420 ->
        "External declaration expected. Examples:\nexternal type foo term -> prop.\nexternal pred foo i:term.\n"
    | 364 | 367 ->
        "Constraint Handling Rule header expected. Examples:\nconstraint foo {\nconstraint foo bar {\n"
    | 347 | 348 | 349 | 350 ->
        "Kind declaration expected. Examples:\nkind term  type.\nkind list  type -> type.\n"
    | 341 | 342 | 343 ->
        "Local symbol declaration expected. Examples:\nlocal foo.\nlocal foo, bar.\nlocal foo (term -> term).\n"
    | 322 | 323 ->
        "Namespace header expected. Examples:\nnamespace foo {\n"
    | 304 | 306 | 308 | 309 | 310 | 311 | 312 | 314 | 315 | 316 ->
        "Shortening directive expected. Examples:\nshorten foo.{ bar }.\nshorten foo.{ bar , baz }.\nshorten foo.{ bar , baz. { qux , dim } }.\n"
    | 292 | 293 | 297 | 300 | 301 | 294 ->
        "Type abbreviation expected. Examples:\ntypeabbrev context (list term).\ntypeabbrev (two A) (pair A A).\n"
    | 21 | 184 | 175 ->
        "List expected. Examples:\n[ this , that | More ].\n[ Head | Tail ].\n"
    | 37 ->
        "Closing '[' with ')'.\n"
    | 528 | 533 | 271 | 532 ->
        "Malformed accumulate. Examples:\naccumulate foo.\naccumulate foo, bar.\naccumulate \"foo/bar\".\n"
    | 425 | 426 | 424 | 418 | 427 | 428 | 430 | 434 | 435 | 439 | 440 | 442 ->
        "Malformed CHR rule declaration. Examples:\nrule (match this).\nrule (match this) \\ (remove that).\nrule (match this) \\ (remove that) | (only when).\nrule (match this) \\ (remove that) | (only when) <=> (add this).\n"
    | 421 | 422 | 423 ->
        "Malformed type declaration. Examples:\ntype app tm -> tm -> tm.\ntype lam (tm -> tm) -> tm.\ntype (++) list A -> list A -> list A.\n"
    | 390 | 391 ->
        "Malformed 'external' attribute. Example:\n:external pred\n"
    | 385 | 387 ->
        "Malformed grafting attribute. Example:\n:before \"some name\"\n:after \"some other name\"\n"
    | 382 ->
        "Malformed 'if' attribute. Example:\n:if \"VARIABLE\"\n"
    | 374 | 375 | 380 ->
        "Malformed 'index' attribute. Example:\n:index(1 _ 1)\n"
    | 372 ->
        "Malformed 'name' attribute. Example:\n:name \"name of the clause\"\n"
    | 369 ->
        "Attribute expected. Examples:\n:name \"some name\"\n:index (_ 1 1)\n"
    | 335 | 336 | 337 | 338 ->
        "Malformed macro declaration. Example:\nmacro @foo X Y :- p X => q Y.\n"
    | 327 | 328 | 329 | 333 | 404 ->
        "Malformed mode declaration. Example:\nmode (foo i i o).\n"
    | 265 ->
        "Prefix symbol expected.\n"
    | 262 ->
        "Postifx symbol expected.\n"
    | 230 ->
        "Infix symbol expected.\n"
    | 224 ->
        "Right parenthesis ')' expected.\n"
    | 0 | 18 | 19 ->
        "Term expected.\n"
    | 216 ->
        "Malformed as binding. Examples:\n(f X as Y)\n([_,_|_] as Y)\n"
    | 8 | 196 ->
        "Mixfix symbol or term expected.\n"
    | 51 | 464 | 466 | 486 | 488 | 468 | 490 | 493 | 495 | 497 | 499 | 501 | 503 | 505 | 507 | 509 | 470 | 472 | 474 | 484 | 513 | 515 | 517 | 519 | 523 | 525 | 455 | 456 | 124 | 146 | 128 | 158 | 126 | 132 | 142 | 148 | 160 | 130 | 134 | 162 | 166 | 138 | 164 | 168 | 136 | 119 | 140 | 156 | 172 | 122 | 182 | 192 | 40 | 222 | 226 | 115 | 117 | 73 | 89 | 97 | 101 | 69 | 81 | 93 | 63 | 67 | 95 | 99 | 71 | 33 | 36 | 57 | 79 | 61 | 43 | 49 | 91 | 59 | 65 | 55 | 75 | 105 | 107 | 111 | 113 | 174 | 178 | 181 | 185 | 459 | 219 | 457 | 77 | 83 | 85 | 87 | 103 | 144 | 150 | 152 | 154 | 170 | 176 | 476 | 478 | 480 | 482 | 511 | 109 | 521 ->
        "Term expected, got keyword.\n"
    | 463 ->
        "Unexpected keyword.\n"
    | 268 | 414 ->
        "Unexpected start of program clause or declaration.\n"
    | 78 | 66 | 98 | 94 | 70 | 100 | 68 | 64 | 60 | 90 | 58 | 88 | 483 | 492 | 485 | 145 | 487 | 467 | 489 | 494 | 496 | 498 | 500 | 502 | 504 | 506 | 508 | 135 | 167 | 137 | 165 | 161 | 133 | 129 | 159 | 131 | 125 | 157 | 127 | 62 | 92 | 516 | 469 | 471 | 473 | 512 | 514 | 518 | 522 | 524 | 465 | 163 | 147 | 141 | 56 | 74 | 80 | 96 | 72 | 104 | 106 | 110 | 112 | 114 | 123 | 139 | 155 | 171 | 173 | 177 | 180 | 221 | 38 | 187 | 118 | 76 | 82 | 84 | 86 | 102 | 143 | 149 | 151 | 153 | 169 | 475 | 477 | 479 | 481 | 510 | 108 | 520 ->
        "This infix operator expects a right hand side.\n"
    | 39 | 458 | 28 ->
        "This prefix operator expects an argument.\n"
    | _ ->
        raise Not_found
